# DarDists: rh80 rh73

Summary: A playlist manager for XMMS with voting support.
Name: lplayer
Version: 0.98.2
Release: 2.dag
License: GPL
Group: Applications/Multimedia
URL: http://lplayer.sourceforge.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/home-made/apt/

Source: ftp://ftp.sourceforge.net/pub/sourceforge/%{name}/%{name}_%{version}_src.tgz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: tmake, xmms-devel, qt, qt-devel

%description
longPlayer is a program that automatically fills your winamp or xmms
playlist.

It is meant for those who have converted all of their CD's into mp3's
and want to use their PC as a jukebox. Instead of turning on the
radio, they just start winamp, enqueue their entire music directory
and put the whole thing on random play. 

%prep
%setup

%build
cd src
export QTDIR=/usr/lib/qt3
tmake lp.pro -o Makefile
%{__make} clean all

%install
%{__rm} -rf %{buildroot}

cat <<EOF > lplayer
#!/bin/sh
cd %{_datadir}/lplayer/
test -f ~/.lptable.lp2.1 && cp -f ~/.lptable.lp2.1 ~/.lptable.lp2.2
test -f ~/.lptable.lp2 && cp -f ~/.lptable.lp2 ~/.lptable.lp2.1
exec %{_datadir}/lplayer/lplayer-bin
EOF

%{__install} -d -m0755 %{buildroot}%{_datadir}/lplayer \
			%{buildroot}%{_datadir}/pixmaps/ \
			%{buildroot}%{_bindir}
%{__install} gnu/lplayerdir/*.png %{buildroot}%{_datadir}/pixmaps/
%{__install} -m0644 src/*.png %{buildroot}%{_datadir}/lplayer/
%{__install} -m0755 src/lplayer-bin %{buildroot}%{_datadir}/lplayer/
%{__install} -m0755 lplayer %{buildroot}%{_bindir}

cat <<EOF >%{name}.desktop
[Desktop Entry]
Name=longplayer
Comment=%{summary}
Icon=lplayerlogo.png
Exec=%{_bindir}/lplayer
Terminal=false
Type=Application
EOF

%{__install} -d -m0755 %{buildroot}%{_datadir}/gnome/apps/Multimedia/
%{__install} -m0644 %{name}.desktop %{buildroot}%{_datadir}/gnome/apps/Multimedia/

%if %{?rh80:1}%{!?rh80:0}
        %{__install} -d -m0755 %{buildroot}%{_datadir}/applications
        desktop-file-install --vendor kde --delete-original \
                --add-category X-Red-Hat-Base               \
                --add-category Application                  \
                --add-category AudioVideo                   \
                --dir %{buildroot}%{_datadir}/applications  \
                %{buildroot}%{_datadir}/gnome/apps/Multimedia/%{name}.desktop
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc gnu/authors gnu/bugs gnu/changelog gnu/faq gnu/readme gnu/todo
%{_bindir}/*
%{_datadir}/lplayer/
%{_datadir}/pixmaps/*
%if %{?rh80:1}%{!?rh80:0}
        %{_datadir}/applications/*
%else
        %{_datadir}/gnome/apps/Multimedia/*
%endif

%changelog
* Tue Feb 18 2003 Dag Wieers <dag@wieers.com> - 0.98.2-2
- Added lplayer.desktop

* Tue Jan 21 2003 Dag Wieers <dag@wieers.com> - 0.98.2-1
- Updated to 0.98.2

* Sat Dec 28 2002 Dag Wieers <dag@wieers.com> - 0.98.1-1
- Updated to 0.98.1

* Sat Nov 30 2002 Dag Wieers <dag@wieers.com> - 0.98.0
- Initial package. (using dar)
